<?php
	session_start();
	
	include_once("../../php_scripts/msffl/msffl.php");
	include_once("../../php_scripts/msffl/navbar.php");
	
	create_header("FF: League Rules",
	"modified suicide fantasy football league, league rules, faq",
	"League Rules");
	echo "<body>\n";
	
	create_navbar($_SESSION['user_type'],"rules.php");
	
	echo "<p>If you have any questions about the rules, please send me an e-mail. You can
		use the address under the <strong>Contact Us</strong> link after you log in.</p>\n";

	echo "<div><hr /></div>\n";
	
	echo "<h3>Rules</h3>\n";
	
	echo "<p><strong>Introduction</strong>: In a traditional Suicide League,
		each player chooses one team a week. If the team loses, that player
		is eliminated from the league. Each week, more players are eliminated
		until only one player remains -- the victor.</p>\n";
	
	echo "<p>In this <em>Modified Suicide League</em>, players are only penalized,
		not eliminated outright, when they pick losing teams. Also, players 
		earn points each week when the teams they pick win. The player with
		the highest score at the end of the season is the winner.</p>\n";
	
	echo "<p><strong>Player Pools</strong>: Each player begins the season by selecting
		a pool of 25 NFL teams. These teams are chosen by the player before the first
		game of the season. Each week, every player chooses one team from their pool
		before the start of NFL games that week. <em>No team may ever be chosen more 
		than once by any individual player.</em></p>\n";

	echo "<p>There are two ways teams are removed from a player's starting pool of 25 teams:</p>
		<ul> 
			<li> Weekly picks are removed each week, even if the team wins. For example,
			if a player selects Denver in Week 1, then Denver is removed from that player's
			pool, even if Denver wins in Week 1.</li>
			<li> When a weekly pick <strong>loses</strong>, the player must forfeit
			<strong>additional</strong> teams from his or her pool. See <em>Losing
			Picks</em>, below.</li>
		</ul>\n";
		
	echo "<p>When a player's team wins, the player scores points that week based on
		the margin of victory and the week of the season (see below for details). However, 
		if a player's team loses, the player must forfeit additional teams from
		his or her pool. As the season continues, players must choose from a dwindling
		supply of teams in order to score points. When a player has no teams left in their
		pool, they score no more points on the season.</p>\n";
		
	echo "<p><strong>Losing Picks</strong>: When a player picks a team that loses, there
		are two consequences for the player. First, the player's score for that week is 0 points.
		Second, the player must forfeit <em>additional</em> teams from his or her pool:</p>
		<ul>
			<li>The <strong>first</strong> week a player's pick loses, that player forfeits <strong>2</strong> teams.</li>
			<li>The <strong>second</strong> week a player's pick loses, that player forfeits <strong>3</strong> teams.</li>
			<li>The <strong>third</strong> week a player's pick loses, that player forfeits <strong>4</strong> teams, etc.</li>
		</ul>
		<p>These teams <strong>must be forfeited before the start of NFL games the following week</strong>.
		Notice that after a third loss, a player will run out of teams after Week 16. After a
		fourth loss, a player will run out of teams after Week 11.</p>\n";
	
	echo "<p><strong>Winning Picks</strong>: When a player picks a team that wins, that
		team is still removed from his or her pool. However, the player scores points
		based on the margin of victory and the week of the season. Roughly speaking,
		a player scores more points for a large margin of victory, and scores more points
		later in the season. However, the maximum margin of victory is capped. (This is
		to prevent exceptionally lopsided ball games from impacting the game too much.)</p>\n";
	
	echo "<p><strong>Scoring Formula</strong>: When a player's pick wins, first a base score
		is computed. The base score is the margin of victory, up to a certain cap. The cap
		is the current week plus seven points. That is:</p>
		<ul>
			<li>In Week 1, the cap is 8 points.</li>
			<li>In Week 2, the cap is 9 points.</li>
			<li>In Week 3, the cap is 10 points...</li>
			<li>In Week 17, the cap is 24 points.</li>
		</ul>\n";
		
	echo "<p>In addition, the player is awarded a +10% bonus for each week of the season. So,</p>
		<ul>
			<li>In Week 1, the bonus is +10%.</li>
			<li>In Week 2, the bonus is +20%.</li>
			<li>In Week 3, the bonus is +30%...</li>
			<li>In Week 17, the bonus is +170%.</li>
		</ul>\n";
	
	echo "<p><strong>Scoring Examples</strong>:</p>
		<ol>
			<li>Jonathan chooses Detroit in Week 5, and they win 19-10. The margin
			of victory, 9, is less than the Week 5 cap of 12 points. So the base score
			is 9 points. The Week 5 bonus is +50%, so Jonathan's score for Week 5
			is 9 x 150% = 13.5 points.</li>
			<li>Renee chooses New England in Week 12, and they crush the Giants 27-0.
			The margin of victory, 27, is greater than the Week 12 cap of 19 points.
			So the base score is 19 points. The Week 12 bonus is +120%, so Renee's
			score for Week 12 is 19 x 220% = 41.8 points.</li>
		</ol>\n";
		
	echo "<p><strong>Bye Weeks</strong>: During the middle of the season, several NFL teams
		have a bye week and do not play a game. It is theoretically possible that a
		player's pool does not have any teams that are playing a game during one week.
		In this case, the player scores 0 points and does not choose a pick for that
		week. The player does not have to forfeit any teams for this week.</p>\n";

	echo "<p><strong>Tie Games</strong>: It is possible, though unlikely, that a regular
		season NFL game may end in a tie. For scoring purposes, a tie will be considered
		a win by zero points. That is, a player will score 0 points for the week, but
		the player will not have to forfeit additional teams.</p>\n";
		
	echo "<p><strong>Player Error</strong>: Each week, players must make their necessary
		forfeits and picks on time. The deadline each week is the start of the earliest
		NFL game for that week. (Typically this is either Sunday, 1:00 p.m. EST, or Thursday
		evening. Check the NFL schedule to be sure.)</p>\n";
	
	echo "<p>When a player misses a deadline for forfeits, the league will drop teams
		from the player's pool, starting with the team in the player's pool with the
		most losses, then the second most losses, and so on. When several teams
		have the same number of losses, the forfeited team will be chosen randomly
		from those teams with the most losses.</p>\n";
	
	echo "<p>When a player misses a deadline for the weekly pick, the league will choose
		a team randomly from the player's pool. Teams that have a bye for that week
		will be excluded. </p>\n";
	
	echo "<p>If a player fails to make necessary forfeits and a weekly pick, then the
		forfeit teams are chosen before the weekly pick is chosen by the league.</p>\n";
	
	echo "<div><hr /></div>\n";
	
	echo "<p>If you have any questions about the rules, please send me an e-mail. You can
		use the address under the <strong>Contact Us</strong> link after you log in.</p>\n";
	
	echo "</body>\n</html>";
?>